package errors

import (
	e "errors"
)

var (
	ZoneInstanseIsEmpty = e.New("Zone: Instance name is missing.")

	HostServiceIsEmpty            = e.New("Host: Service name is missing.")
	HostHostnameNotFQDM           = e.New("Host: Hostname is not a fully-qualified domain name.")
	HostHostnameCouldNotDetermine = e.New("Host: Could not determine hostname")
	HostIPCouldNotDetermine       = e.New("Host: Could not determine IP address(es) for hostname")
	HostIPAddressIsInvalid        = e.New("Host: Invalid IP-address in IP-list")
	HostDomainNotFQDM             = e.New("Host: Domain is not a fully-qualified domain name.")
	HostPortInvalid               = e.New("Host: Port is missing or invalid.")
)
